<?php
global $SimpleNeonLogin;

if( isset( $_GET[ 'tab' ] ) ) {
    $active_tab = $_GET[ 'tab' ];
} else {
	$active_tab = 'simple';
}
?>
<div class="wrap">

    <div id="icon-themes" class="icon32"></div>
    <h2>Simple Neon Login Settings</h2>

    <h2 class="nav-tab-wrapper">
        <a href="<?php echo add_query_arg( array('tab' => 'simple'), $_SERVER['REQUEST_URI'] ); ?>" class="nav-tab <?php echo $active_tab == 'simple' ? 'nav-tab-active' : ''; ?>">Configuration Values</a>
        <a href="<?php echo add_query_arg( array('tab' => 'help'), $_SERVER['REQUEST_URI'] ); ?>" class="nav-tab <?php echo $active_tab == 'help' ? 'nav-tab-active' : ''; ?>">Help</a>
    </h2>

    <form method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
    	<?php wp_nonce_field( 'save_sll_settings','save_the_sll' ); ?>

    	<?php if( $active_tab == "simple" ): ?>
    	<h3>Options and Neon API Values</h3>
    	<p>The Organization ID and API Key values for your organization must be obtained from Neon.</p>
    	<table class="form-table">
			<tbody>
				<tr>
					<th scope="row" valign="top">Enable Neon Authentication</th>
					<td>
						<input type="hidden" name="<?php echo $this->get_field_name('enabled'); ?>" value="false" />
						<label><input type="checkbox" name="<?php echo $this->get_field_name('enabled'); ?>" value="true" <?php if( str_true($this->get_setting('enabled')) ) echo "checked"; ?> /> Enable Neon login authentication for WordPress.</label><br/>
					</td>
				</tr>
				<tr>
					<th scope="row" valign="top">New User Role</th>
					<td>
						<select name="<?php echo $this->get_field_name('role'); ?>">
							<?php wp_dropdown_roles( strtolower($this->get_setting('role')) ); ?>
						</select>
					</td>
				</tr>
				<tr>
					<th scope="row" valign="top">Neon Organization ID</th>
					<td>
						<input type="text" name="<?php echo $this->get_field_name('org_id'); ?>" value="<?php echo $SimpleNeonLogin->get_setting('org_id'); ?>" /><br/>
					</td>
				</tr>
				<tr>
					<th scope="row" valign="top">Neon API Key</th>
					<td>
						<input type="text" name="<?php echo $this->get_field_name('api_key'); ?>" value="<?php echo $SimpleNeonLogin->get_setting('api_key'); ?>" /><br/>
					</td>
				</tr>
				<tr>
					<th scope="row" valign="top">Locally Verified Usernames</th>
					<td>
						<input type="text" name="<?php echo $this->get_field_name('exempt_ids'); ?>" value="<?php echo $SimpleNeonLogin->get_setting('exempt_ids'); ?>" /><br/>
						List all WordPress Usernames that you want to authenticate LOCALLY (not via Neon), including all Admin accounts. Separate multiple entries with a semi-colon (;)
					</td>
				</tr>
			</tbody>
    	</table>
    	<p><input class="button-primary" type="submit" value="Save Settings" /></p>
    	<?php else: ?>
		<h3>Help</h3>
		<p>Here's a brief primer on how to effectively use and test Simple Neon Login.</p>
		<h4>Testing</h4>
		<p>The most effective way to test logins is to use two browsers. In other words, keep WordPress Admin open in Chrome, and use Firefox to try logging in. This will give you real time feedback on your settings and prevent you from inadvertently locking yourself out.</p>
		<h4>Which raises the question, what happens if I get locked out?</h4>
		<p>If you accidentally lock yourself out, the easiest way to get back in is to rename <strong><?php echo plugin_dir_path(__FILE__); ?></strong> to something else and then refresh. WordPress will detect the change and disable Simple LDAP Login. You can then rename the folder back to its previous name.</p>
    	<?php endif; ?>
    </form>
</div>